BEEM - Android XMPP - Bug #249

BeemService please assert this error
02/26/2010 09:14 AM - John Pope

Status: Closed Start date: 02/26/2010
Priority: Low Due date:

Assignee: Nikita Kozlov % Done: 100%
Category: XMPP Estimated time: 0.00 hour
Target version: 0.1.3

Affected version: hg Locale:

Description

line 194

mLogin = StringUtils.parseName(tmpJid);

when connecting to a local openfire server with USERNAME=admin PASSWORD=admin (with no @domain.com), the ignite

StringUtil parser returns null.

if (mLogin "") {
Log.e (TAG, "Error parsing username / is it a valid JID??");
if (tmpJdid ""){

Log.e (TAG, "User Input Error — no username configured");
// return; throw error

lelse(
mLogin =tmpJid;

Associated revisions

Revision 712:bbd54153f92c - 03/14/2010 12:35 AM - Nikita Kozlov

Bug #249 and a small debug on AccountConfigure.java

Revision 712:bbd54153f92c - 03/14/2010 12:35 AM - Nikita Kozlov

Bug #249 and a small debug on AccountConfigure.java

Revision 712:bbd54153f92c - 03/14/2010 12:35 AM - Nikita Kozlov

Bug #249 and a small debug on AccountConfigure.java

History

#1 - 02/28/2010 08:12 PM - Jean-Manuel Da Silva

According to the trunk, this one has been fixed.

String tmpJdid = mSettings.getString("settings_key_account_username", "");
mLogin = StringUtils.parseName (tmpJid) ;
mPassword = mSettings.getString("settings_key_account_password", "");
mPort = DEFAULT_XMPP_PORT;
mService = StringUtils.parseServer (tmpJdid) ;
mHost = StringUtils.parseServer (tmpJdid);

if (mSettings.getBoolean ("settings_key_specific_server", false)) {
mHost = mSettings.getString("settings_key_xmpp_server", "");
if ("".equals (mHost))
mHost = StringUtils.parseServer (tmpJid);
String tmpPort = mSettings.getString("settings_key_xmpp_port", "5222");

mPort = ("".equals (tmpPort)) ? DEFAULT_XMPP_PORT : Integer.parselnt (tmpPort);

}
if ("gmail.com".equals (mService) || "googlemail.com".equals (mService)) {
mLogin = tmpJid;

#2 - 03/01/2010 12:56 AM - Jean-Manuel Da Silva
- Status changed from New to Feedback

#3 - 03/14/2010 12:37 AM - Nikita Kozlov

- Status changed from Feedback to Resolved
- Assignee set to Nikita Kozlov

- Target version set to 0.1.3

- % Done changed from 0 to 100
resolved in r712

#4 - 04/07/2010 02:06 AM - Frédéric Barthéléry

- Status changed from Resolved to Closed

You must use a full JID. Your JID for the admin of openfire is admin@localhost (or your IP address). Some checks was added to see if the domain is
valid.
